This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 893781 - Update PySolFC import of PIL for F19 switch to Pillow
Update PySolFC import of PIL for F19 switch to Pillow
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: PySolFC (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jaromír Cápík
Fedora Extras Quality Assurance
:
Depends On:
Blocks: PILLOW
  Show dependency treegraph
 
Reported: 2013-01-09 17:15 EST by Toshio Ernie Kuratomi
Modified: 2016-01-31 20:57 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 06:09:12 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Change imports of PIL libraries so they'll work with pillow too (949 bytes, patch)
2013-01-09 17:15 EST, Toshio Ernie Kuratomi
no flags Details | Diff
Change imports of PIL Library so they'll work with pillow (1.33 KB, patch)
2013-01-09 17:46 EST, Toshio Ernie Kuratomi
no flags Details | Diff

  None (edit)
Description Toshio Ernie Kuratomi 2013-01-09 17:15:05 EST
Created attachment 675886 [details]
Change imports of PIL libraries so they'll work with pillow too

Description of problem:

Fedora 19 is switching from using python-imaging (PIL) to python-pillow.  This is mostly backwards compatible but importing the python-imaging relevant libraries is undergoing a change.  In PIL, the libraries could either be imported like this:

import Image

or like this:

from PIL import Image

In python-pillow (and thus, Fedora19+), only the latter will work.  I've grepped the sources of PySolFC and found a few import statements that need to be updated.  Patch attached to fix those.  Patch should be upstreamable as PIL supports both the old and new forms of the import.

Version-Release number of selected component (if applicable):

2.0-6
Comment 1 Toshio Ernie Kuratomi 2013-01-09 17:16:45 EST
Feature page for the switch to pillow with the rationale for the switch in case you were interested:

https://fedoraproject.org/wiki/Features/Pillow
Comment 2 Toshio Ernie Kuratomi 2013-01-09 17:46:52 EST
Created attachment 675900 [details]
Change imports of PIL Library so they'll work with pillow

New version of the patch.  I misread the logic before and missed a few more imports that need to be switched to the new format.
Comment 3 Toshio Ernie Kuratomi 2013-01-29 12:12:54 EST
If I don't hear anything back from you, I'll go ahead and use provenpackager powers to apply this patch to the RawHide package next week.  I'll leave sending the patch to upstream up to you, though.
Comment 4 Stewart Adam 2013-01-30 09:57:26 EST
Sorry for the lack of reply, I'll try to get to this sometime soon but realistically that may be too long from now. Please feel free to go ahead and apply it.
Comment 5 Toshio Ernie Kuratomi 2013-01-31 00:52:39 EST
Done.  Thanks!  http://koji.fedoraproject.org/koji/taskinfo?taskID=4916524

I'll leave this open so you can remember to push the patch upstream.
Comment 6 Fedora End Of Life 2013-04-03 16:31:11 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 7 Fedora Admin XMLRPC Client 2013-08-05 13:35:20 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 8 Fedora End Of Life 2015-01-09 17:31:37 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2015-02-18 06:09:12 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.